{
  "info": {
    "properties": {
      "id": {
        "type": "long"
      },
      "idMaterialType": {
        "type": "long"
      },
      "materialTypeName": {
        "type": "text",
        "index": "not_analyzed"
      },
      "materialName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "mtModel": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj"
      },
      "mtRule": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj"
      },
      "mtUnit": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "byUnit": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "seUnit": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "convertUnitByToMt": {
        "type": "double"
      },
      "convertUnitMtToSe": {
        "type": "double"
      },
      "newestPrice": {
        "type": "double"
      },
      "voidFlag": {
        "type": "integer"
      },
      "remark": {
        "type": "text",
        "index": "not_analyzed"
      },
      "materialCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "barCode": {
        "type": "text",
        "index": "not_analyzed"
      },
      "stockPrecision": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      },
      "priceType": {
        "type": "long"
      },
      "machineRequestFlag": {
        "type": "integer"
      }
    }
  }
}
